@import url('main.css');
.offer-hero {
    height: 50vh;
    background-image: url(../images/offer-hero.jpg);
    background-size: cover;
    position: relative;
}

.offer-hero-content {
    text-align: center;
    width: 100%;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.offer-hero-content .title {
    padding: 0px;
}


/* SEKCJA CONTENT */

.content {
    margin: 60px auto 80px;
}

.content-flex {
    display: flex;
    justify-content: space-between;
}

.content-side {
    width: 25%;
}

.content-navi {
    display: flex;
    flex-direction: column;
    padding: 24px;
    background-color: var(--background-primary);
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
    border-radius: 20px;
}

.content-navi h4 {
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 12px;
}

.content-navi a {
    font-size: 1rem;
    font-weight: 400;
    color: var(--theme-main);
    margin-bottom: 6px;
    transition: .2s ease;
}

.content-navi a:hover {
    color: var(--theme-darker);
    transform: translateX(3px);
}

.content-promo {
    background-color: var(--background-secondary);
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
    border-radius: 3px;
    margin: 24px 0px;
    padding: 20px;
}

.content-promo h4 {
    font-size: 1.5rem;
    font-weight: 700;
    margin-bottom: 12px;
}

.content-promo h4 span {
    font-weight: 600;
}

.content-promo p {
    font-size: 1rem;
    font-weight: 400;
    margin-bottom: 16px;
}

.content-partners {
    margin-top: 40px;
}

.content-partners h4 {
    margin-bottom: 12px;
    font-size: 1.2rem;
    font-weight: 600;
}

.content-partners-item {
    margin-bottom: 20px;
}

.content-partners-item p {
    color: var(--text-second);
}

.content-true {
    width: calc(75% - 40px);
}

.ct-item {
    scroll-margin-top: 140px;
    margin-bottom: 40px;
}

.ct-item h3 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 12px;
}

.ct-item h3 span {
    color: var(--theme-main);
}

.ct-item h4 {
    font-size: 1.2rem;
    font-weight: 600;
}

.ct-item ul {
    margin-top: 12px;
    margin-left: 40px;
}

.ct-item ul li {
    line-height: 1.6rem;
    list-style: square;
    font-size: 0.95rem;
    font-weight: 400;
}

.it-services-consumer-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.it-services-consumer-flex-left {
    width: 50%;
}

.it-services-consumer-flex-right {
    width: 50%;
}

.services-link:visited {
    color: var(--theme-lighter);
}

#services-list {
    scroll-margin-top: 140px;
}

.it-services-footer {
    text-align: center;
    margin-top: 20px;
}

.it-services-footer .btn {
    margin-top: 12px;
}

.subscription-benefits-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.subscription-benefits-left {
    width: 50%;
}

.subscription-benefits-item {
    margin-top: 24px;
}

.subscription-benefits-item strong {
    font-size: 0.8rem;
    font-weight: 600;
    padding: 4px 12px;
    background-color: var(--theme-main);
    color: var(--background-primary);
    border-radius: 20px;
}

.subscription-benefits-item h5 {
    font-size: 1.125rem;
    font-weight: 500;
    margin-top: 8px;
    margin-bottom: 4px;
}

.subscription-benefits-item p {
    font-size: 0.95rem;
    font-weight: 400;
}

.subscription-benefits-right {
    width: 40%;
}

.subscription-packs-flex {
    background-color: var(--background-secondary);
    border-radius: 12px;
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
    display: flex;
    justify-content: space-between;
    padding: 20px;
    margin-top: 20px;
}

.subscription-pack-item {
    width: calc(25% - 4px);
    padding: 20px;
}

.sp-active {
    background-color: rgba(255, 255, 255, 0.4);
    border-radius: 12px;
    border: 3px solid var(--background-primary);
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
    transform: translateX(-20px);
}

.subscription-pack-item i {
    font-size: 3.2rem;
    background-image: linear-gradient(45deg, var(--theme-main), var(--theme-lighter));
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    margin-bottom: 12px;
}

.subscription-pack-item h5 {
    font-size: 1.2rem;
    font-weight: 600;
}

.subscription-pack-item p {
    font-size: 0.95rem;
    font-weight: 400;
    margin-bottom: 12px;
    color: var(--text-second);
}

.subscription-pack-item .btn {
    font-size: 0.8rem;
    padding: 4px 12px;
    border-radius: 12px;
    background-color: var(--background-primary);
    color: var(--text-second);
    box-shadow: none;
}

.sp-active .btn {
    background-color: var(--background-secondary);
}

.subscription-pack-item .btn:hover {
    background-color: var(--background-primary);
}

.sp-active .btn:hover {
    background-color: var(--background-secondary);
}

.packs-footer {
    font-size: 0.95rem;
    color: var(--text-second);
}

.packs-footer i {
    font-size: 1.5rem;
    margin-right: 8px;
    color: var(--theme-main);
}

.websites-content {
    display: flex;
    justify-content: space-between;
}

.websites-content a,
.websites-content a:visited {
    width: calc(33% - 12px);
    color: var(--theme-lighter);
    text-align: center;
}

.websites-content a img {
    border-radius: 12px;
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
}

.websites-footer {
    text-align: center;
}

.websites-footer .btn {
    margin-top: 12px;
}

.infoznawca-link {
    background-image: linear-gradient(45deg, var(--theme-main), #ee3951);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    font-weight: 600;
    text-decoration: underline;
    text-decoration-thickness: 2px;
}

.infoznawca-ad {
    border-radius: 4px;
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
    margin-bottom: 20px;
}

.graphics-content {
    display: flex;
    justify-content: space-between;
}

.graphics-content img {
    border-radius: 12px;
    width: calc(30% - 12px);
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
}

.graphics-content img:last-child {
    width: calc(40% - 12px);
    aspect-ratio: 1440/1080;
}

.graphics-footer {
    text-align: center;
}

.graphics-footer .btn {
    margin-top: 12px;
}

.courses-content-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px;
    border-radius: 12px;
    background-color: var(--background-secondary);
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
}

.courses-left {
    width: 50%;
}

.courses-left img {
    width: 90%;
    border-radius: 12px;
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
}

.courses-right {
    width: 50%;
}

.courses-right h4 {
    margin-bottom: 12px;
}

.courses-right-desc {
    font-size: 0.95rem;
    font-weight: 400;
    color: var(--text-main);
    padding-bottom: 20px;
    border-bottom: 2px solid rgba(0, 0, 0, 0.12);
}

.courses-right-item {
    display: flex;
    margin-bottom: 10px;
}

.courses-right-item i {
    font-size: 1.6rem;
    color: var(--theme-main);
}

.courses-right-item-content {
    margin-left: 14px;
    width: 100%;
}

.courses-right-item-content p {
    font-size: 0.95rem;
    font-weight: 400;
    line-height: 1.5rem;
}

.courses-notactive {
    font-size: 0.95rem;
    color: var(--text-second);
}

.courses-notactive i {
    font-size: 1.5rem;
    margin-right: 8px;
    color: var(--theme-main);
    transform: translateY(4px);
}

.cybersecurity-content-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.cybersecurity-left {
    width: 50%;
}

.cybersecurity-left h4 span {
    color: var(--theme-main);
}

.cybersecurity-left p span {
    font-weight: 500;
}

.cybersecurity-right {
    width: 40%;
}

.content-footer-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 20px;
    background: linear-gradient(45deg, var(--theme-main), var(--theme-lighter));
    box-shadow: 0px 0px 4px 4px rgba(0, 0, 0, 0.04);
    padding: 40px;
}

.content-footer-left {
    width: 70%;
}

.content-footer-left h4 {
    font-size: 1.4rem;
    font-weight: 600;
    color: var(--background-primary);
    margin-bottom: 12px;
}

.content-footer-left p {
    font-size: 0.95rem;
    font-weight: 400;
    color: var(--background-primary);
}

.content-footer-right .btn {
    background-color: var(--background-primary);
    color: var(--text-main);
}

@media only screen and (max-width: 600px) {
    .offer-hero {
        top: 80px;
    }
    .content {
        padding-top: 40px;
    }
    .content-flex {
        flex-direction: column;
    }
    .content-side {
        width: 100%;
    }
    .content-navi a {
        margin-top: 6px;
    }
    .content-true {
        width: 100%;
        margin-top: 40px;
    }
    .ct-item h3 {
        font-size: 1.5rem;
        text-align: center;
        margin-bottom: 24px;
    }
    .ct-item p {
        font-size: 0.95rem;
    }
    .ct-item ul li {
        margin-bottom: 6px;
    }
    .it-services-consumer-flex {
        flex-direction: column;
    }
    .it-services-consumer-flex-left,
    .it-services-consumer-flex-right {
        width: 100%;
    }
    .it-services-footer {
        text-align: left;
    }
    .subscription-benefits-flex {
        flex-direction: column;
        margin-bottom: -20px;
    }
    .subscription-benefits-left {
        width: 100%;
    }
    .subscription-benefits-right {
        width: 80%;
        margin-top: 40px;
    }
    .subscription-packs-flex {
        flex-direction: column;
    }
    .subscription-pack-item {
        width: 100%;
        display: flex;
        justify-content: space-around;
        align-items: center;
    }
    .subscription-pack-item i {
        font-size: 3.6rem;
    }
    .subscription-pack-item .btn {
        padding: 8px 12px;
    }
    .sp-active {
        transform: none;
    }
    .websites-content {
        flex-direction: column;
    }
    .websites-content a {
        width: 100%;
        margin-bottom: 20px;
    }
    .graphics-content {
        flex-direction: column;
    }
    .graphics-content img {
        width: 100%;
        margin-bottom: 20px;
    }
    .graphics-content img:last-child {
        width: 100%;
    }
    .courses-content-flex {
        flex-direction: column;
    }
    .courses-left {
        width: 100%;
        margin-bottom: 20px;
    }
    .courses-left img {
        width: 100%;
        height: 160px;
        object-fit: cover;
    }
    .courses-right {
        width: 100%;
    }
    .cybersecurity-content-flex {
        flex-direction: column;
    }
    .cybersecurity-left {
        width: 100%;
        margin-bottom: 40px;
    }
    .cybersecurity-right {
        width: 80%;
    }
    .content-footer-flex {
        flex-direction: column;
        padding: 24px 20px;
    }
    .content-footer-left {
        width: 100%;
        margin-bottom: 20px;
    }
    .content-footer-right {
        width: 100%;
    }
}